Package Details: any-dl 0.22.0-1

Git Clone URL: https://aur.archlinux.org/any-dl.git (read-only, click to copy)
Package Base: any-dl
Description: Generic video downloader for principially any site.
Upstream URL: http://www.first.in-berlin.de/software/tools/any-dl/
Licenses: GPL3
Submitter: oriba
Maintainer: oriba
Last Packager: oriba
Votes: 4
Popularity: 0.000000
First Submitted: 2013-02-11 00:51
Last Updated: 2017-05-21 23:04

Latest Comments

« First ‹ Previous 1 2 3

oriba commented on 2013-05-17 20:09

OCaml sems to make problems on my system.
The Makefile says byte-code, but the executable is ELF, but mourns about "No bytecode file specified." (I don't have these problems on an old Ubuntu... hmmmhhh).

Anyone who has the same problems or has no problems?

Also the PKGBUILD sems to have problems at the moment.
So, please be careful with installation.

oriba commented on 2013-03-30 11:33

Yes, thank you for pointing me to that, wombalton.
I corrected it.

wombalton commented on 2013-03-30 11:15

Line 24 in PKGBUILD:
install -Dm 644 any-dl ${pkgdir}/usr/bin/any-dl # install to Arch-Linux path

shouldn't that be: install -Dm 755 any-dl ${pkgdir}/usr/bin/any-dl
after all it's a binary and needs to be executed.

oriba commented on 2013-02-11 16:01

New package should have resolved the problems.
Also had added some changes to the code too.
Maybe installing via findlib can be added later. (IMHO not really necessary)
But it's in the dependencies now for building process.

oriba commented on 2013-02-11 12:02

karol_007, you asked about the missing modules.

these are neded
'ocaml' 'ocaml-pcre' 'ocaml-xml-light' 'ocamlnet' 'ocaml-curl'

if you have the sources, a "make" should do it.

oriba commented on 2013-02-11 10:54

karol_007, you asked about the missing modules.

these are neded
'ocaml' 'ocaml-pcre' 'ocaml-xml-light' 'ocamlnet' 'ocaml-curl'

if you have the sources, a "make" should do it.

oriba commented on 2013-02-11 10:53

ocamlfind makes problems...

ocamlfind ocamlc -package pcre,netstring,netsys,netclient,curl,xml-light -c cli.ml
findlib: [WARNING] Interface netstring_pcre.cmi occurs in several directories: /usr/lib/ocaml/netstring, /usr/lib/ocaml/netstring-pcre

strange, on a different (but older) system I get it compiled.

oriba commented on 2013-02-11 09:50

hello karol_007, oh, I trashed the new and used the old PKGBUILD. :-(
I will add the depenencies soon. Ocamlfindlib... later then, or if you want to help at this point...
There are some depenedencies, which I will add soon.

Thanks for the comments.

karol_007 commented on 2013-02-11 05:26

You have to change pkgver to '0.9.4b' instead of '0.9.4.b'
Please add ocaml-findlib to build dependencies.

What's up with this error:
==> Starting build()...
make[1]: Entering directory `/home/karol/apps/any-dl/src/any-dl-0.9.4b'
ocamlfind ocamldep scriptparser.mli > ._bcdi/scriptparser.di
ocamlfind ocamldep scriptparser.ml > ._d/scriptparser.d
ocamlfind ocamldep scriptlexer.ml > ._d/scriptlexer.d
ocamlfind ocamldep main.ml > ._d/main.d
ocamlfind ocamldep network.ml > ._d/network.d
ocamlfind ocamldep parsers.ml > ._d/parsers.d
ocamlfind ocamldep parsetreetypes.ml > ._d/parsetreetypes.d
ocamlfind ocamldep cli.ml > ._d/cli.d
make[1]: Leaving directory `/home/karol/apps/any-dl/src/any-dl-0.9.4b'
make[1]: Entering directory `/home/karol/apps/any-dl/src/any-dl-0.9.4b'
ocamlfind ocamlc -package pcre,netstring,netsys,netclient,curl,xml-light -c cli.ml
ocamlfind: Package `pcre' not found
make[1]: *** [cli.cmi] Error 2
make[1]: Leaving directory `/home/karol/apps/any-dl/src/any-dl-0.9.4b'
make: *** [byte-code] Error 2
==> ERROR: A failure occurred in build().
Aborting...

Do I need ocaml-pcre etc.?